gtksourceviewmm: gtksourceview::SourceMark Class Reference

gtksourceviewmm 2.10.2

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions
gtksourceview::SourceMark Class Reference

Mark class for SourceBuffer. More...

`#include <gtksourceviewmm/sourcemark.h>`

Inheritance diagram for gtksourceview::SourceMark:
[legend]

List of all members.

## Public Member Functions
GtkSourceMark* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceMark* | gobj () const
| Provides access to the underlying C GObject.
GtkSourceMark* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_category () const
| Returns the mark category.
Glib::RefPtr< SourceMark > | next (const Glib::ustring& category)
| Returns the next SourceMark in the buffer.
Glib::RefPtr< const SourceMark > | next (const Glib::ustring& category) const
| Returns the next SourceMark in the buffer.
Glib::RefPtr< SourceMark > | next ()
| Returns the next SourceMark of any category in the buffer.
Glib::RefPtr< const SourceMark > | next () const
| Returns the next SourceMark of any category in the buffer.
Glib::RefPtr< SourceMark > | prev (const Glib::ustring& category)
| Returns the previous SourceMark in the buffer.
Glib::RefPtr< const SourceMark > | prev (const Glib::ustring& category) const
| Returns the previous SourceMark in the buffer.
Glib::RefPtr< SourceMark > | prev ()
| Returns the previous SourceMark of any category in the buffer.
Glib::RefPtr< const SourceMark > | prev () const
| Returns the previous SourceMark of any category in the buffer.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_category () const
| The mark category.
## Static Public Member Functions
static Glib::RefPtr< SourceMark > | create (const Glib::ustring& category, const Glib::ustring& name=Glib::ustring())
| Creates a text mark.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < gtksourceview::SourceMark > | wrap (GtkSourceMark* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Mark class for SourceBuffer.

Since gtksourceviewmm 2.2:

## Member Function Documentation

static Glib::RefPtr<SourceMark> gtksourceview::SourceMark::create | ( | const Glib::ustring & | category,
|  | const Glib::ustring & | name = `Glib::ustring()`
| ) |  | `[static]`

Creates a text mark.

Add it to a buffer using Gtk::TextBuffer::add_mark(). If name is empty string, the mark is anonymous; otherwise, the mark can be retrieved by name using Gtk::TextBuffer::get_mark(). Normally marks are created using the utility function SourceBuffer::create_mark().

Parameters:

  category | Is used to classify marks according to common characteristics (e.g. all the marks representing a bookmark could belong to the "bookmark" category, or all the marks representing a compilation error could belong to "error" category).
  name | Name of the SourceMark.

Returns:
  A new SourceMark that can be added using GtkTextBuffer::add_mark().

Glib::ustring gtksourceview::SourceMark::get_category | ( |  | ) | const

Returns the mark category.

Returns:
  The category of the SourceMark.

Since gtksourceviewmm 2.2:

Glib::RefPtr<SourceMark> gtksourceview::SourceMark::next | ( |  | ) |

Returns the next SourceMark of any category in the buffer.

If there is no next mark, empty refptr will be returned.

Returns:
  The next SourceMark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2:

Glib::RefPtr<const SourceMark> gtksourceview::SourceMark::next | ( |  | ) | const

Returns the next SourceMark of any category in the buffer.

If there is no next mark, empty refptr will be returned.

Returns:
  The next SourceMark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2:

Glib::RefPtr<SourceMark> gtksourceview::SourceMark::next | ( | const Glib::ustring & | category | ) |

Returns the next SourceMark in the buffer.

If there is no next mark, empty refptr will be returned.

Parameters:

  category | A string specifying the mark category.

Returns:
  The next SourceMark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2:

Glib::RefPtr<const SourceMark> gtksourceview::SourceMark::next | ( | const Glib::ustring & | category | ) | const

Returns the next SourceMark in the buffer.

If there is no next mark, empty refptr will be returned.

Parameters:

  category | A string specifying the mark category.

Returns:
  The next SourceMark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2:

Glib::RefPtr<SourceMark> gtksourceview::SourceMark::prev | ( |  | ) |

Returns the previous SourceMark of any category in the buffer.

If there is no previous mark, empty refptr will be returned.

Returns:
  The previous SourceMark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2:

Glib::RefPtr<const SourceMark> gtksourceview::SourceMark::prev | ( |  | ) | const

Returns the previous SourceMark of any category in the buffer.

If there is no previous mark, empty refptr will be returned.

Returns:
  The previous SourceMark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2:

Glib::RefPtr<SourceMark> gtksourceview::SourceMark::prev | ( | const Glib::ustring & | category | ) |

Returns the previous SourceMark in the buffer.

If there is no previous mark, empty refptr will be returned.

Parameters:

  category | A string specifying the mark category.

Returns:
  The previous SourceMark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2:

Glib::RefPtr<const SourceMark> gtksourceview::SourceMark::prev | ( | const Glib::ustring & | category | ) | const

Returns the previous SourceMark in the buffer.

If there is no previous mark, empty refptr will be returned.

Parameters:

  category | A string specifying the mark category.

Returns:
  The previous SourceMark or empty Glib::RefPtr.

Since gtksourceviewmm 2.2:

Glib::PropertyProxy_ReadOnly<Glib::ustring> gtksourceview::SourceMark::property_category | ( |  | ) | const

The mark category.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< gtksourceview::SourceMark > wrap | ( | GtkSourceMark * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.